#include <stdio.h>
#include <omp.h>

int main (int argc, char *argv[])
{
  int nt; sscanf (argv[1], "%d", &nt);

  int sum = 0;
  #pragma omp parallel num_threads(nt)
  {
    int n = omp_get_thread_num ();
    #pragma omp critical (adding_thread_numbers)
      sum = sum + n;
    printf ("%d: %d\n", n, sum);
  }
  printf ("%d\n", sum);
  return 0;
}